t3keyc(1)

NAME

t3keyc - terminal key sequences database checker

SYNOPSIS

t3keyc [<OPTIONS>] <FILE>

DESCRIPTION

t3keyc checks a terminal key sequence description for use with libt3key. The database files should either be put in the global database (normally /usr/share/libt3key or similar), or in the XDG Data Home directory (found under ~/.local/share/libt3key if $XDG_DATA_HOME is not set).

OPTIONS

t3keyc accepts the following options:

-l, --link
    Create links for the aliases of the key sequence description, instead of checking.

-t, --trace-circular-use
    Show a trace for circular '_use' references.

-v, --verbose
    Print verbose warning messages.

FORMAT

The format of the input is documented in the file format.txt located in the documentation directory. On Un*x systems this is usually /usr/share/doc/libt3key-0.2.8.

BUGS

If you think you have found a bug, please check that you are using the latest version of libt3key [http://os.ghalkes.nl/libt3key.html]. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR

G.P. Halkes <libt3key@ghalkes.nl>

COPYRIGHT

Copyright © 2011-2012,2018 G.P. Halkes
libt3key is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/libt3key.